---
title: "Delete a site piggyback"
type: reference
method: POST
path: /rest-api/piggyback/site/{id}/delete.do
tag: "Piggybacks"
---

# Delete a site piggyback

`POST https://YOUR-NETWORK-DOMAIN/rest-api/piggyback/site/{id}/delete.do`

Removes one site piggyback. Needs the Piggyback Pixel Tracking permission and update rights on the site's site.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `id` | integer | yes | `601` | The unique numeric identifier of the piggyback to delete |

## Responses

- `200` — Piggyback deleted
- `400` — Bad request — invalid or missing parameters
- `401` — Unauthorized - authentication error
- `403` — Forbidden - no update rights on the site, or the Piggyback Pixel Tracking permission is not enabled
- `404` — No site piggyback with this id

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/piggyback/site/601/delete.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/piggybacks/post-piggyback-site-delete